import request from '@/utils/request'

export function handleTurnDownFilter(data) {
  return request({
    url: '/pssr/overhaulFilter/turnDownFilter',
    method: 'put',
    data: data
  })
}
// 查询检修项目-过滤器列表
export function listOverhaulFilter(query) {
  return request({
    url: '/pssr/overhaulFilter/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-过滤器详细
export function getOverhaulFilter(id) {
  return request({
    url: '/pssr/overhaulFilter/' + id,
    method: 'get'
  })
}

// 新增检修项目-过滤器
export function addOverhaulFilter(data) {
  return request({
    url: '/pssr/overhaulFilter',
    method: 'post',
    data: data
  })
}

// 修改检修项目-过滤器
export function updateOverhaulFilter(data) {
  return request({
    url: '/pssr/overhaulFilter',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulFilterBatch(data) {
  return request({
    url: '/pssr/overhaulFilter/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-过滤器
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulFilter/confirmFilter',
    method: 'put',
    data: data
  })
}

// 删除检修项目-过滤器
export function delOverhaulFilter(id) {
  return request({
    url: '/pssr/overhaulFilter/' + id,
    method: 'delete'
  })
}

// 导出检修项目-过滤器
export function exportOverhaulFilter(query) {
  return request({
    url: '/pssr/overhaulFilter/export',
    method: 'get',
    params: query
  })
}
